{"openapi":"3.1.0","info":{"title":"API Fenix","summary":"RS-API (Fenix) for Sklik and sGarant","description":"\n## Versioning\n\nThe API is versioned using the [Semantic Versioning](https://semver.org/) scheme. The version number is in the format of\n`v<major>.<minor>.<patch>` where:\n  - `<major>` - major version of the API. When major version is changed, backward compatibility is not guaranteed.\n  - `<minor>` - minor version of the API within the given major version. There is guaranteed backward compatibility of\n    minor versions of the API within one major version. Minor version is incremented when new features are added.\n  - `<patch>` - patch version is increased when there are only bugfixes in new release.\n\nYou can access individual API versions using `/v<major>` prefix, but you cannot access different minor versions.\nThere is also a `/latest` prefix which will always point to the latest version of the API.\n\n### Deprecation policy\n\nThe current major version is the supported one. It is supported until the next major version is released. After next major\nversion is released, the previous major version is then supported for **one additional year**. After that, the previous\nmajor version is dropped and removed and the applications must be updated to use current version of the API. After releasing\nnew major version, there generally won't be any additional new features added to previous major version. However, bugfixes will\nbe backported to the previous version too.\n\n## Authentication & Authorization\nTo access the API, you need an API Access Token. To obtain the token, use the `/user/token` endpoint. That endpoint expects\nrefresh token, which may be generated after logging into your Sklik.cz account and creating the token in the Tools section.\n\nWhen you have the access token, each call then requires `Authorization` HTTP header with `Bearer` scheme containing the obtained\naccess token.\n\nThe access token validity is 1 hour. The refresh token has validity you specify when creating it.\n\n**Note:** Do not call `/user/token` endpoint prior to each API call, the endpoint is rate-limited. The intended use is to call\nit once before all the processing you need to do, then reuse the token until it expires.\n\n### Access to linked account\n\nEach access token specifies which account it is valid for. By default, when not specifying otherwise, the token is valid for\nthe account that was used to create the token. However, you can specify the `user_id` parameter in the `/user/token` endpoint\nto create the token for different account. Note that you need to have access to this account prior to trying to create access\ntoken for it.\n\n### Scopes\n\nAccess token contains authorized scopes for the user. The scopes are used to limit the access to the API. Each endpoint\ndefines scopes it requires to access that endpoint. You can limit scopes by scope groups when creating the refresh token.\n\n- `r` - provides only read access\n- `rw` - provides read and write access\n- `rwa` - provides read and write access and also authorizes application to perform additional administrative actions\n  such as linking accounts.\n\n**Note:** On top of refresh token access level, the access level negotiated between linked accounts is considered too. So\nfor link with only `r` access level, `rw` refresh token will not gain you any additional authorization that would exceed the\n`r` access level for that account. So generally speaking, refresh token can only narrow the scope of the token, not widen it.\n\nYou can narrow a single access token further by passing the `scope` parameter to the `/user/token` endpoint with the\naccess levels you want, separated by spaces. The requested access levels must be a subset of the access levels of the\nrefresh token you are exchanging, so the parameter can only narrow the token, never widen it; asking for more results\nin `422 Unprocessable Entity`. When you leave `scope` out, the token carries all access levels of that refresh token.\nThe exception is the OAuth2 client-credentials grant, which has no refresh token to inherit from and therefore\ndefaults to read access only.\n\n## Rate limiting\n\nThe API is rate-limited. There is a global rate limit for the API, which is shared across all endpoints. Additional rate limit\nmay be in place for specific endpoints, which is defined in the endpoint documentation.\n\nDefault rate limit is 5 requests per second for the API as a whole. This means that you can make up to 5 requests\nper second across all endpoints. If you exceed this limit, you will receive a `429 Too Many Requests` response with\n`Retry-After` header indicating how long you should wait before making another request.\n\nEach response from the API contains the `RateLimit-Policy` and `RateLimit` header, which you can use to check the current\nrate limit policy and your current usage of the rate limit. The headers are following current IETF RateLimit draft version 9,\nyou can find more information at the [draft](https://datatracker.ietf.org/doc/html/draft-ietf-httpapi-ratelimit-headers-09)\nspecification.\n","contact":{"name":"API Support","url":"https://napoveda.sklik.cz/","email":"sklik@firma.seznam.cz"},"version":"1.32.0"},"paths":{"/user/linked-accounts":{"get":{"tags":["User"],"summary":"List accessible accounts","description":"List all accounts (own and managed) that the authorized user/token can access.","operationId":"get_user_linked_accounts_user_linked_accounts_get","security":[{"API Access Token":[]}],"parameters":[{"name":"a","in":"query","required":false,"schema":{"type":"array","uniqueItems":true,"items":{"$ref":"#/components/schemas/AccountAttribute"},"minItems":1,"title":"Attributes","description":"Entity attributes to be included in the response."},"description":"Entity attributes to be included in the response."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListResponse_ResponseAccount_"}}}},"422":{"description":"Diagnostic response for HTTP status 422.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"array","items":{"oneOf":[{"additionalProperties":false,"description":"Model validation error. Possible types are:\n\n- `missing`: This error is raised when a required value is missing.\n- `datetime_from_date_parsing`: This error is raised when the input value is a string that cannot be parsed for a `datetime` field.\n- `set_type`: This error is raised when the input value's type is not valid for a `set` field.\n- `date_from_datetime_parsing`: This error is raised when the input value is a string that cannot be parsed for a date field.\n- `date_past`: This error is raised when the value provided for a `PastDate` field is not in the past.\n- `complex_type`: This error is raised when the input value's type is not valid for a `complex` field.\n- `complex_str_parsing`: This error is raised when the input value is a string but cannot be parsed as a complex number.\n- `float_type`: This error is raised when the input value's type is not valid for a `float` field.\n- `iteration_error`: This error is raised when an error occurs while iterating over the input value.\n- `enum`: This error is raised when the input value is not a valid `enum` member.\n- `int_from_float`: This error is raised when you provide a `float` value for an `int` field.\n- `bytes_invalid_encoding`: This error is raised when a `bytes` value is invalid under the configured encoding.\n- `string_too_short`: This error is raised when the input value is a string whose length is less than the field's `min_length` constraint.\n- `uuid_parsing`: This error is raised when the input value's type is not valid for a UUID field.\n- `string_sub_type`: This error is raised when the value is an instance of a strict subtype of `str` when the field is strict.\n- `assertion_error`: This error is raised when a failing `assert` statement is encountered during validation.\n- `bytes_too_long`: This error is raised when a `bytes` value is longer than the configured maximum length.\n- `datetime_future`: This error is raised when the input value provided for a `FutureDatetime` field is not in the future.\n- `literal_error`: This error is raised when the input value is not one of the expected literals.\n- `datetime_past`: This error is raised when the value provided for a `PastDatetime` field is not in the past.\n- `date_parsing`: This error is raised when validating JSON where the input value is string that cannot be parsed for a date field.\n- `decimal_parsing`: This error is raised when the value provided for a `Decimal` could not be parsed as a decimal number.\n- `url_too_long`: This error is raised when the URL length is greater than 2083.\n- `timezone_aware`: This error is raised when the `datetime` value provided for a timezone-aware `datetime` field doesn't have timezone information.\n- `time_delta_type`: This error is raised when the input value's type is not valid for a `timedelta` field.\n- `url_parsing`: This error is raised when the input value is a string that cannot be parsed as a URL.\n- `frozen_instance`: This error is raised when trying to set a value of a field on a frozen instance or to delete such an field.\n- `tuple_type`: This error is raised when the input value's type is not valid for a `tuple` field.\n- `time_delta_parsing`: This error is raised when the input value is a string that cannot be parsed for a `timedelta` field.\n- `int_type`: This error is raised when the input value's type is not valid for an `int` field.\n- `date_type`: This error is raised when the input value's type is not valid for a `date` field.\n- `uuid_type`: This error is raised when the input value's type is not valid instance for a UUID field (str, bytes or UUID).\n- `decimal_type`: This error is raised when the input value's type is not valid for a `Decimal` field.\n- `float_parsing`: This error is raised when the input value is a string that cannot be parsed as a float.\n- `union_tag_invalid`: This error is raised when the input's discriminator is not one of the expected values.\n- `string_unicode`: This error is raised when the value cannot be parsed as a Unicode string.\n- `string_type`: This error is raised when the input value's type is not valid for a `str` field.\n- `uuid_version`: This error is raised when the input value's type is not match UUID version.\n- `time_parsing`: This error is raised when the input value is a string that cannot be parsed for a `time` field.\n- `date_from_datetime_inexact`: This error is raised when a `date` value is created from a `datetime` value that is not at midnight. For a timestamp to parse into a field of type `date`, the time components must all be zero.\n- `extra_forbidden`: This error is raised when the input value has extra fields that are not allowed.\n- `int_parsing`: This error is raised when the input value is a string that cannot be parsed as an integer.\n- `too_short`: This error is raised when the value is shorter than the field's `min_length` constraint.\n- `bytes_type`: This error is raised when the input value's type is not valid for a `bytes` field.\n- `timezone_naive`: This error is raised when the `datetime` value provided for a timezone-naive `datetime` field has timezone information.\n- `json_type`: This error is raised when the input value's type is not valid for a JSON field.\n- `frozen_field`: This error is raised when trying to set a value on a frozen field or to delete such a field.\n- `string_pattern_mismatch`: This error is raised when the input value doesn't match the field's `pattern` constraint.\n- `bool_parsing`: This error is raised when the input value is a string that is not valid for coercion to a boolean.\n- `union_tag_not_found`: This error is raised when it is not possible to extract a discriminator value from the input.\n- `greater_than`: This error is raised when the value is not greater than the field's `gt` constraint.\n- `finite_number`: This error is raised when the input value is not a finite number.\n- `multiple_of`: This error is raised when the value is not a multiple of the field's `multiple_of` constraint.\n- `less_than_equal`: This error is raised when the value is not less than or equal to the field's `le` constraint.\n- `decimal_max_places`: This error is raised when the value provided for a `Decimal` has too many digits after the decimal point.\n- `url_type`: This error is raised when the input value's type is not valid for a URL field.\n- `time_type`: This error is raised when the input value's type is not valid for a `time` field.\n- `url_syntax_violation`: This error is raised when the URL has a syntax violation.\n- `string_too_long`: This error is raised when the input value is a string whose length is greater than the field's `max_length` constraint.\n- `mapping_type`: This error is raised when the input value's type is not valid for a mapping field.\n- `url_scheme`: This error is raised when the URL scheme is not valid for the URL type of the field.\n- `none_required`: This error is raised when the input value is not `None` for a field that requires `None`.\n- `value_error`: This error is raised when the input value is not valid.\n- `too_long`: This error is raised when the value is longer than the field's `max_length` constraint.\n- `json_invalid`: This error is raised when the input value is not valid JSON.\n- `invalid_key`: This error is raised when attempting to validate a `dict` that has a key that is not an instance of `str`.\n- `bool_type`: This error is raised when the input value's type is not valid for a `bool` field.\n- `datetime_parsing`: This error is raised when the input value is a string that cannot be parsed for a `datetime` field.\n- `bytes_too_short`: This error is raised when a `bytes` value is shorter than the configured minimum length.\n- `decimal_whole_digits`: This error is raised when the value provided for a `Decimal` has more digits before the decimal point than `max_digits - decimal_places` (as long as both are specified).\n- `frozen_set_type`: This error is raised when the input value's type is not valid for a frozenset field.\n- `list_type`: This error is raised when the input value's type is not valid for a `list` field.\n- `dict_type`: This error is raised when the input value's type is not valid for a `dict` field.\n- `iterable_type`: This error is raised when the input value's type is not valid for an iterable field.\n- `date_future`: This error is raised when the input value provided for a `FutureDate` field is not in the future.\n- `datetime_type`: This error is raised when the input value's type is not valid for a `datetime` field.\n- `greater_than_equal`: This error is raised when the value is not greater than or equal to the field's `ge` constraint.\n- `decimal_max_digits`: This error is raised when a `Decimal` value has more digits than the configured maximum.\n- `int_parsing_size`: This error is raised when the input value is a string that cannot be parsed as an integer because it is too large.\n- `less_than`: This error is raised when the value is not less than the field's `lt` constraint.","properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Error location.","type":"array"},"msg":{"title":"Descriptive human readable error message","type":"string"},"type":{"enum":["missing","datetime_from_date_parsing","set_type","date_from_datetime_parsing","date_past","complex_type","complex_str_parsing","float_type","iteration_error","enum","int_from_float","bytes_invalid_encoding","string_too_short","uuid_parsing","string_sub_type","assertion_error","bytes_too_long","datetime_future","literal_error","datetime_past","date_parsing","decimal_parsing","url_too_long","timezone_aware","time_delta_type","url_parsing","frozen_instance","tuple_type","time_delta_parsing","int_type","date_type","uuid_type","decimal_type","float_parsing","union_tag_invalid","string_unicode","string_type","uuid_version","time_parsing","date_from_datetime_inexact","extra_forbidden","int_parsing","too_short","bytes_type","timezone_naive","json_type","frozen_field","string_pattern_mismatch","bool_parsing","union_tag_not_found","greater_than","finite_number","multiple_of","less_than_equal","decimal_max_places","url_type","time_type","url_syntax_violation","string_too_long","mapping_type","url_scheme","none_required","value_error","too_long","json_invalid","invalid_key","bool_type","datetime_parsing","bytes_too_short","decimal_whole_digits","frozen_set_type","list_type","dict_type","iterable_type","date_future","datetime_type","greater_than_equal","decimal_max_digits","int_parsing_size","less_than"],"title":"ErrorTypes","type":"string"},"ctx":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"An optional object which contains values required to render the error message.","title":"Ctx"},"input":{"description":"The input provided for validation.","title":"Input"}},"required":["msg","type","input"],"title":"ModelValidationError","type":"object"}]}}}}}}},"403":{"description":"Diagnostic response for HTTP status 403.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"array","items":{"oneOf":[{"additionalProperties":true,"description":"Access denied error.","properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Error location","type":"array"},"msg":{"default":"Forbidden","title":"Msg","type":"string"},"type":{"default":"forbidden","title":"Type","type":"string"}},"title":"Forbidden","type":"object"}]}}}}}}}}}},"/user/me/credit":{"get":{"tags":["User"],"summary":"Get information about user credit","description":"Retrieve information about user credit.","operationId":"get_user_me_credit_user_me_credit_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreditResponse"}}}},"422":{"description":"Diagnostic response for HTTP status 422.","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"oneOf":[{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Error location."},"msg":{"type":"string","title":"Descriptive human readable error message"},"type":{"type":"string","enum":["missing","datetime_from_date_parsing","set_type","date_from_datetime_parsing","date_past","complex_type","complex_str_parsing","float_type","iteration_error","enum","int_from_float","bytes_invalid_encoding","string_too_short","uuid_parsing","string_sub_type","assertion_error","bytes_too_long","datetime_future","literal_error","datetime_past","date_parsing","decimal_parsing","url_too_long","timezone_aware","time_delta_type","url_parsing","frozen_instance","tuple_type","time_delta_parsing","int_type","date_type","uuid_type","decimal_type","float_parsing","union_tag_invalid","string_unicode","string_type","uuid_version","time_parsing","date_from_datetime_inexact","extra_forbidden","int_parsing","too_short","bytes_type","timezone_naive","json_type","frozen_field","string_pattern_mismatch","bool_parsing","union_tag_not_found","greater_than","finite_number","multiple_of","less_than_equal","decimal_max_places","url_type","time_type","url_syntax_violation","string_too_long","mapping_type","url_scheme","none_required","value_error","too_long","json_invalid","invalid_key","bool_type","datetime_parsing","bytes_too_short","decimal_whole_digits","frozen_set_type","list_type","dict_type","iterable_type","date_future","datetime_type","greater_than_equal","decimal_max_digits","int_parsing_size","less_than"],"title":"ErrorTypes"},"ctx":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Ctx","description":"An optional object which contains values required to render the error message."},"input":{"title":"Input","description":"The input provided for validation."}},"additionalProperties":false,"type":"object","required":["msg","type","input"],"title":"ModelValidationError","description":"Model validation error. Possible types are:\n\n- `missing`: This error is raised when a required value is missing.\n- `datetime_from_date_parsing`: This error is raised when the input value is a string that cannot be parsed for a `datetime` field.\n- `set_type`: This error is raised when the input value's type is not valid for a `set` field.\n- `date_from_datetime_parsing`: This error is raised when the input value is a string that cannot be parsed for a date field.\n- `date_past`: This error is raised when the value provided for a `PastDate` field is not in the past.\n- `complex_type`: This error is raised when the input value's type is not valid for a `complex` field.\n- `complex_str_parsing`: This error is raised when the input value is a string but cannot be parsed as a complex number.\n- `float_type`: This error is raised when the input value's type is not valid for a `float` field.\n- `iteration_error`: This error is raised when an error occurs while iterating over the input value.\n- `enum`: This error is raised when the input value is not a valid `enum` member.\n- `int_from_float`: This error is raised when you provide a `float` value for an `int` field.\n- `bytes_invalid_encoding`: This error is raised when a `bytes` value is invalid under the configured encoding.\n- `string_too_short`: This error is raised when the input value is a string whose length is less than the field's `min_length` constraint.\n- `uuid_parsing`: This error is raised when the input value's type is not valid for a UUID field.\n- `string_sub_type`: This error is raised when the value is an instance of a strict subtype of `str` when the field is strict.\n- `assertion_error`: This error is raised when a failing `assert` statement is encountered during validation.\n- `bytes_too_long`: This error is raised when a `bytes` value is longer than the configured maximum length.\n- `datetime_future`: This error is raised when the input value provided for a `FutureDatetime` field is not in the future.\n- `literal_error`: This error is raised when the input value is not one of the expected literals.\n- `datetime_past`: This error is raised when the value provided for a `PastDatetime` field is not in the past.\n- `date_parsing`: This error is raised when validating JSON where the input value is string that cannot be parsed for a date field.\n- `decimal_parsing`: This error is raised when the value provided for a `Decimal` could not be parsed as a decimal number.\n- `url_too_long`: This error is raised when the URL length is greater than 2083.\n- `timezone_aware`: This error is raised when the `datetime` value provided for a timezone-aware `datetime` field doesn't have timezone information.\n- `time_delta_type`: This error is raised when the input value's type is not valid for a `timedelta` field.\n- `url_parsing`: This error is raised when the input value is a string that cannot be parsed as a URL.\n- `frozen_instance`: This error is raised when trying to set a value of a field on a frozen instance or to delete such an field.\n- `tuple_type`: This error is raised when the input value's type is not valid for a `tuple` field.\n- `time_delta_parsing`: This error is raised when the input value is a string that cannot be parsed for a `timedelta` field.\n- `int_type`: This error is raised when the input value's type is not valid for an `int` field.\n- `date_type`: This error is raised when the input value's type is not valid for a `date` field.\n- `uuid_type`: This error is raised when the input value's type is not valid instance for a UUID field (str, bytes or UUID).\n- `decimal_type`: This error is raised when the input value's type is not valid for a `Decimal` field.\n- `float_parsing`: This error is raised when the input value is a string that cannot be parsed as a float.\n- `union_tag_invalid`: This error is raised when the input's discriminator is not one of the expected values.\n- `string_unicode`: This error is raised when the value cannot be parsed as a Unicode string.\n- `string_type`: This error is raised when the input value's type is not valid for a `str` field.\n- `uuid_version`: This error is raised when the input value's type is not match UUID version.\n- `time_parsing`: This error is raised when the input value is a string that cannot be parsed for a `time` field.\n- `date_from_datetime_inexact`: This error is raised when a `date` value is created from a `datetime` value that is not at midnight. For a timestamp to parse into a field of type `date`, the time components must all be zero.\n- `extra_forbidden`: This error is raised when the input value has extra fields that are not allowed.\n- `int_parsing`: This error is raised when the input value is a string that cannot be parsed as an integer.\n- `too_short`: This error is raised when the value is shorter than the field's `min_length` constraint.\n- `bytes_type`: This error is raised when the input value's type is not valid for a `bytes` field.\n- `timezone_naive`: This error is raised when the `datetime` value provided for a timezone-naive `datetime` field has timezone information.\n- `json_type`: This error is raised when the input value's type is not valid for a JSON field.\n- `frozen_field`: This error is raised when trying to set a value on a frozen field or to delete such a field.\n- `string_pattern_mismatch`: This error is raised when the input value doesn't match the field's `pattern` constraint.\n- `bool_parsing`: This error is raised when the input value is a string that is not valid for coercion to a boolean.\n- `union_tag_not_found`: This error is raised when it is not possible to extract a discriminator value from the input.\n- `greater_than`: This error is raised when the value is not greater than the field's `gt` constraint.\n- `finite_number`: This error is raised when the input value is not a finite number.\n- `multiple_of`: This error is raised when the value is not a multiple of the field's `multiple_of` constraint.\n- `less_than_equal`: This error is raised when the value is not less than or equal to the field's `le` constraint.\n- `decimal_max_places`: This error is raised when the value provided for a `Decimal` has too many digits after the decimal point.\n- `url_type`: This error is raised when the input value's type is not valid for a URL field.\n- `time_type`: This error is raised when the input value's type is not valid for a `time` field.\n- `url_syntax_violation`: This error is raised when the URL has a syntax violation.\n- `string_too_long`: This error is raised when the input value is a string whose length is greater than the field's `max_length` constraint.\n- `mapping_type`: This error is raised when the input value's type is not valid for a mapping field.\n- `url_scheme`: This error is raised when the URL scheme is not valid for the URL type of the field.\n- `none_required`: This error is raised when the input value is not `None` for a field that requires `None`.\n- `value_error`: This error is raised when the input value is not valid.\n- `too_long`: This error is raised when the value is longer than the field's `max_length` constraint.\n- `json_invalid`: This error is raised when the input value is not valid JSON.\n- `invalid_key`: This error is raised when attempting to validate a `dict` that has a key that is not an instance of `str`.\n- `bool_type`: This error is raised when the input value's type is not valid for a `bool` field.\n- `datetime_parsing`: This error is raised when the input value is a string that cannot be parsed for a `datetime` field.\n- `bytes_too_short`: This error is raised when a `bytes` value is shorter than the configured minimum length.\n- `decimal_whole_digits`: This error is raised when the value provided for a `Decimal` has more digits before the decimal point than `max_digits - decimal_places` (as long as both are specified).\n- `frozen_set_type`: This error is raised when the input value's type is not valid for a frozenset field.\n- `list_type`: This error is raised when the input value's type is not valid for a `list` field.\n- `dict_type`: This error is raised when the input value's type is not valid for a `dict` field.\n- `iterable_type`: This error is raised when the input value's type is not valid for an iterable field.\n- `date_future`: This error is raised when the input value provided for a `FutureDate` field is not in the future.\n- `datetime_type`: This error is raised when the input value's type is not valid for a `datetime` field.\n- `greater_than_equal`: This error is raised when the value is not greater than or equal to the field's `ge` constraint.\n- `decimal_max_digits`: This error is raised when a `Decimal` value has more digits than the configured maximum.\n- `int_parsing_size`: This error is raised when the input value is a string that cannot be parsed as an integer because it is too large.\n- `less_than`: This error is raised when the value is not less than the field's `lt` constraint."}]},"type":"array"}},"type":"object"}}}},"404":{"description":"Diagnostic response for HTTP status 404.","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"oneOf":[{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Error location"},"msg":{"type":"string","title":"Msg","default":"Entity not found"},"type":{"type":"string","title":"Type","default":"entity_not_found"},"entity_type":{"type":"string","title":"Entity Type","description":"Type of the entity that was not found, e.g. 'product', 'shop', 'campaign', etc."}},"additionalProperties":true,"type":"object","required":["entity_type"],"title":"EntityNotFound","description":"Error returned when entity not found"}]},"type":"array"}},"type":"object"}}}}},"security":[{"API Access Token":[]}]}},"/user/me":{"get":{"tags":["User"],"summary":"Get authorized user","description":"Retrieve information about currently authorized user.","operationId":"user_me_user_me_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CurrentUserResponse"}}}}},"security":[{"API Access Token":[]}]}},"/user/token":{"post":{"tags":["User"],"summary":"Get Access Token","description":"Obtain access token for accessing API resources.\n\nSupports three grant types:\n\n- **client_credentials**: two modes share this grant type:\n  - Provide an existing refresh token as a Bearer `Authorization` header to exchange\n    it for an access token (use `user_id` to access a foreign account that granted\n    you access). To obtain a refresh token, log in at https://www.sklik.cz/.\n  - Or authenticate as an OAuth2 client (RFC 6749 §4.4) with `client_id`/`client_secret`\n    supplied either via HTTP `Basic` auth or the `client_id`/`client_secret` form\n    fields, to obtain a client-only access token (no refresh token). A client that is\n    allowed to access any account may pass `user_id` to obtain a token acting on that\n    account instead; the token's scope still comes only from the client's own roles.\n\n- **authorization_code** (RFC 6749 §4.1.3, RFC 7636): exchange a single-use authorization\n  code for an access + refresh token pair. Requires `code` and `redirect_uri`. `code_verifier`\n  is required when PKCE was used during authorization.\n\n- **refresh_token** (RFC 6749 §6): obtain a new access token from a previously issued\n  refresh token passed as the `refresh_token` form field.\n\nPass `scope` to obtain a token narrower than the refresh token you are exchanging.\n\nUse the access token in the `Authorization` header as a `Bearer` token.\nFor example: `Authorization: Bearer {access_token}`.","operationId":"get_access_token_user_token_post","requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Body_get_access_token_user_token_post"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessTokenResponse"}}}},"422":{"description":"Diagnostic response for HTTP status 422.","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"oneOf":[{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Error location."},"msg":{"type":"string","title":"Descriptive human readable error message"},"type":{"type":"string","enum":["missing","datetime_from_date_parsing","set_type","date_from_datetime_parsing","date_past","complex_type","complex_str_parsing","float_type","iteration_error","enum","int_from_float","bytes_invalid_encoding","string_too_short","uuid_parsing","string_sub_type","assertion_error","bytes_too_long","datetime_future","literal_error","datetime_past","date_parsing","decimal_parsing","url_too_long","timezone_aware","time_delta_type","url_parsing","frozen_instance","tuple_type","time_delta_parsing","int_type","date_type","uuid_type","decimal_type","float_parsing","union_tag_invalid","string_unicode","string_type","uuid_version","time_parsing","date_from_datetime_inexact","extra_forbidden","int_parsing","too_short","bytes_type","timezone_naive","json_type","frozen_field","string_pattern_mismatch","bool_parsing","union_tag_not_found","greater_than","finite_number","multiple_of","less_than_equal","decimal_max_places","url_type","time_type","url_syntax_violation","string_too_long","mapping_type","url_scheme","none_required","value_error","too_long","json_invalid","invalid_key","bool_type","datetime_parsing","bytes_too_short","decimal_whole_digits","frozen_set_type","list_type","dict_type","iterable_type","date_future","datetime_type","greater_than_equal","decimal_max_digits","int_parsing_size","less_than"],"title":"ErrorTypes"},"ctx":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Ctx","description":"An optional object which contains values required to render the error message."},"input":{"title":"Input","description":"The input provided for validation."}},"additionalProperties":false,"type":"object","required":["msg","type","input"],"title":"ModelValidationError","description":"Model validation error. Possible types are:\n\n- `missing`: This error is raised when a required value is missing.\n- `datetime_from_date_parsing`: This error is raised when the input value is a string that cannot be parsed for a `datetime` field.\n- `set_type`: This error is raised when the input value's type is not valid for a `set` field.\n- `date_from_datetime_parsing`: This error is raised when the input value is a string that cannot be parsed for a date field.\n- `date_past`: This error is raised when the value provided for a `PastDate` field is not in the past.\n- `complex_type`: This error is raised when the input value's type is not valid for a `complex` field.\n- `complex_str_parsing`: This error is raised when the input value is a string but cannot be parsed as a complex number.\n- `float_type`: This error is raised when the input value's type is not valid for a `float` field.\n- `iteration_error`: This error is raised when an error occurs while iterating over the input value.\n- `enum`: This error is raised when the input value is not a valid `enum` member.\n- `int_from_float`: This error is raised when you provide a `float` value for an `int` field.\n- `bytes_invalid_encoding`: This error is raised when a `bytes` value is invalid under the configured encoding.\n- `string_too_short`: This error is raised when the input value is a string whose length is less than the field's `min_length` constraint.\n- `uuid_parsing`: This error is raised when the input value's type is not valid for a UUID field.\n- `string_sub_type`: This error is raised when the value is an instance of a strict subtype of `str` when the field is strict.\n- `assertion_error`: This error is raised when a failing `assert` statement is encountered during validation.\n- `bytes_too_long`: This error is raised when a `bytes` value is longer than the configured maximum length.\n- `datetime_future`: This error is raised when the input value provided for a `FutureDatetime` field is not in the future.\n- `literal_error`: This error is raised when the input value is not one of the expected literals.\n- `datetime_past`: This error is raised when the value provided for a `PastDatetime` field is not in the past.\n- `date_parsing`: This error is raised when validating JSON where the input value is string that cannot be parsed for a date field.\n- `decimal_parsing`: This error is raised when the value provided for a `Decimal` could not be parsed as a decimal number.\n- `url_too_long`: This error is raised when the URL length is greater than 2083.\n- `timezone_aware`: This error is raised when the `datetime` value provided for a timezone-aware `datetime` field doesn't have timezone information.\n- `time_delta_type`: This error is raised when the input value's type is not valid for a `timedelta` field.\n- `url_parsing`: This error is raised when the input value is a string that cannot be parsed as a URL.\n- `frozen_instance`: This error is raised when trying to set a value of a field on a frozen instance or to delete such an field.\n- `tuple_type`: This error is raised when the input value's type is not valid for a `tuple` field.\n- `time_delta_parsing`: This error is raised when the input value is a string that cannot be parsed for a `timedelta` field.\n- `int_type`: This error is raised when the input value's type is not valid for an `int` field.\n- `date_type`: This error is raised when the input value's type is not valid for a `date` field.\n- `uuid_type`: This error is raised when the input value's type is not valid instance for a UUID field (str, bytes or UUID).\n- `decimal_type`: This error is raised when the input value's type is not valid for a `Decimal` field.\n- `float_parsing`: This error is raised when the input value is a string that cannot be parsed as a float.\n- `union_tag_invalid`: This error is raised when the input's discriminator is not one of the expected values.\n- `string_unicode`: This error is raised when the value cannot be parsed as a Unicode string.\n- `string_type`: This error is raised when the input value's type is not valid for a `str` field.\n- `uuid_version`: This error is raised when the input value's type is not match UUID version.\n- `time_parsing`: This error is raised when the input value is a string that cannot be parsed for a `time` field.\n- `date_from_datetime_inexact`: This error is raised when a `date` value is created from a `datetime` value that is not at midnight. For a timestamp to parse into a field of type `date`, the time components must all be zero.\n- `extra_forbidden`: This error is raised when the input value has extra fields that are not allowed.\n- `int_parsing`: This error is raised when the input value is a string that cannot be parsed as an integer.\n- `too_short`: This error is raised when the value is shorter than the field's `min_length` constraint.\n- `bytes_type`: This error is raised when the input value's type is not valid for a `bytes` field.\n- `timezone_naive`: This error is raised when the `datetime` value provided for a timezone-naive `datetime` field has timezone information.\n- `json_type`: This error is raised when the input value's type is not valid for a JSON field.\n- `frozen_field`: This error is raised when trying to set a value on a frozen field or to delete such a field.\n- `string_pattern_mismatch`: This error is raised when the input value doesn't match the field's `pattern` constraint.\n- `bool_parsing`: This error is raised when the input value is a string that is not valid for coercion to a boolean.\n- `union_tag_not_found`: This error is raised when it is not possible to extract a discriminator value from the input.\n- `greater_than`: This error is raised when the value is not greater than the field's `gt` constraint.\n- `finite_number`: This error is raised when the input value is not a finite number.\n- `multiple_of`: This error is raised when the value is not a multiple of the field's `multiple_of` constraint.\n- `less_than_equal`: This error is raised when the value is not less than or equal to the field's `le` constraint.\n- `decimal_max_places`: This error is raised when the value provided for a `Decimal` has too many digits after the decimal point.\n- `url_type`: This error is raised when the input value's type is not valid for a URL field.\n- `time_type`: This error is raised when the input value's type is not valid for a `time` field.\n- `url_syntax_violation`: This error is raised when the URL has a syntax violation.\n- `string_too_long`: This error is raised when the input value is a string whose length is greater than the field's `max_length` constraint.\n- `mapping_type`: This error is raised when the input value's type is not valid for a mapping field.\n- `url_scheme`: This error is raised when the URL scheme is not valid for the URL type of the field.\n- `none_required`: This error is raised when the input value is not `None` for a field that requires `None`.\n- `value_error`: This error is raised when the input value is not valid.\n- `too_long`: This error is raised when the value is longer than the field's `max_length` constraint.\n- `json_invalid`: This error is raised when the input value is not valid JSON.\n- `invalid_key`: This error is raised when attempting to validate a `dict` that has a key that is not an instance of `str`.\n- `bool_type`: This error is raised when the input value's type is not valid for a `bool` field.\n- `datetime_parsing`: This error is raised when the input value is a string that cannot be parsed for a `datetime` field.\n- `bytes_too_short`: This error is raised when a `bytes` value is shorter than the configured minimum length.\n- `decimal_whole_digits`: This error is raised when the value provided for a `Decimal` has more digits before the decimal point than `max_digits - decimal_places` (as long as both are specified).\n- `frozen_set_type`: This error is raised when the input value's type is not valid for a frozenset field.\n- `list_type`: This error is raised when the input value's type is not valid for a `list` field.\n- `dict_type`: This error is raised when the input value's type is not valid for a `dict` field.\n- `iterable_type`: This error is raised when the input value's type is not valid for an iterable field.\n- `date_future`: This error is raised when the input value provided for a `FutureDate` field is not in the future.\n- `datetime_type`: This error is raised when the input value's type is not valid for a `datetime` field.\n- `greater_than_equal`: This error is raised when the value is not greater than or equal to the field's `ge` constraint.\n- `decimal_max_digits`: This error is raised when a `Decimal` value has more digits than the configured maximum.\n- `int_parsing_size`: This error is raised when the input value is a string that cannot be parsed as an integer because it is too large.\n- `less_than`: This error is raised when the value is not less than the field's `lt` constraint."},{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Error location"},"msg":{"type":"string","title":"Msg","default":"Invalid field value"},"type":{"type":"string","title":"Type","default":"invalid_value"},"expected":{"title":"Expected"},"real":{"title":"Real"}},"additionalProperties":true,"type":"object","title":"InvalidValue","description":"Value of attribute is not valid according to validation rules."}]},"type":"array"}},"type":"object"}}}},"401":{"description":"Diagnostic response for HTTP status 401.","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"oneOf":[{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Error location"},"msg":{"type":"string","title":"Msg","default":"Unauthorized."},"type":{"type":"string","title":"Type","default":"unauthorized"}},"additionalProperties":true,"type":"object","title":"Unauthorized","description":"Error returned when the provided access token is not valid for given operation."}]},"type":"array"}},"type":"object"}}}},"403":{"description":"Diagnostic response for HTTP status 403.","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"oneOf":[{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Error location"},"msg":{"type":"string","title":"Msg","default":"Logged user has no access to account user"},"type":{"type":"string","title":"Type","default":"foreign_user_access_denied"},"loggedUserId":{"type":"integer","title":"Loggeduserid"},"accountUserId":{"type":"integer","title":"Accountuserid"}},"additionalProperties":true,"type":"object","required":["loggedUserId","accountUserId"],"title":"ForeignUserAccessDenied","description":"Error for processing access server's user_access_denied error."}]},"type":"array"}},"type":"object"}}}}},"security":[{"API Refresh Token":[]},{"API Client Credentials":[]}]}},"/sklik/campaigns/{campaignId}/groups/{groupId}/ads/":{"get":{"tags":["Sklik|Campaigns|Groups|Ads"],"summary":"List ads","description":"List ads for the authenticated user.","operationId":"list_ads_sklik_campaigns__campaignId__groups__groupId__ads__get","security":[{"API Access Token":["group","ad_list","campaign"]}],"parameters":[{"name":"campaignId","in":"path","required":true,"schema":{"type":"integer","minimum":1,"title":"Campaign ID","description":"ID of the campaign."},"description":"ID of the campaign."},{"name":"groupId","in":"path","required":true,"schema":{"type":"integer","minimum":1,"title":"Group ID","description":"ID of the group."},"description":"ID of the group."},{"name":"statisticsDateFrom","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Statistics Date From","description":"Start date for statistics (YYYY-MM-DD). Required when requesting statistic attributes."},"description":"Start date for statistics (YYYY-MM-DD). Required when requesting statistic attributes."},{"name":"statisticsDateTo","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Statistics Date To","description":"End date for statistics (YYYY-MM-DD). Required when requesting statistic attributes."},"description":"End date for statistics (YYYY-MM-DD). Required when requesting statistic attributes."},{"name":"statisticConditions","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/StatisticCondition"},"minItems":1},{"type":"null"}],"title":"Statistic Conditions","description":"Statistic conditions in format 'attribute:operator:value' (e.g. 'clicks:gt:100'). Valid operators: gt, ge, lt, le."},"description":"Statistic conditions in format 'attribute:operator:value' (e.g. 'clicks:gt:100'). Valid operators: gt, ge, lt, le."},{"name":"showEntityWithZeroStatistic","in":"query","required":false,"schema":{"type":"boolean","title":"Show Entity with Zero Statistic","description":"Whether to include entities with zero statistic values.","default":true},"description":"Whether to include entities with zero statistic values."},{"name":"statisticsGranularity","in":"query","required":false,"schema":{"$ref":"#/components/schemas/StatisticGranularity","title":"Statistics Granularity","description":"Time granularity of statistics. 'total' (default) returns a single aggregate over the whole period. Any other value returns a time series: the entity is repeated once per time bucket, each row carrying that bucket's statistics and its 'firstDate' (added automatically). Requires 'statisticsDateFrom'/'statisticsDateTo'. Max 60 buckets: daily up to 1 month, weekly up to 1 year, monthly/quarterly/yearly up to 60 calendar months/quarters/years. Because the response stays flat, 'limit' and 'offset' count bucket rows, not entities - a granular listing returns fewer entities per page than 'limit' suggests, and an entity can be split across two pages. Buckets of one entity are ordered chronologically, but 'order' is applied first, so ordering by a statistic value interleaves buckets of different entities.","examples":["total","daily","weekly"],"default":"total"},"description":"Time granularity of statistics. 'total' (default) returns a single aggregate over the whole period. Any other value returns a time series: the entity is repeated once per time bucket, each row carrying that bucket's statistics and its 'firstDate' (added automatically). Requires 'statisticsDateFrom'/'statisticsDateTo'. Max 60 buckets: daily up to 1 month, weekly up to 1 year, monthly/quarterly/yearly up to 60 calendar months/quarters/years. Because the response stays flat, 'limit' and 'offset' count bucket rows, not entities - a granular listing returns fewer entities per page than 'limit' suggests, and an entity can be split across two pages. Buckets of one entity are ordered chronologically, but 'order' is applied first, so ordering by a statistic value interleaves buckets of different entities."},{"name":"id","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"integer"},"minItems":1},{"type":"null"}],"title":"IDs","description":"Filter ads by IDs."},"description":"Filter ads by IDs."},{"name":"isDeleted","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Is Deleted","description":"Filter by deleted state. True returns only deleted ads, False only non-deleted."},"description":"Filter by deleted state. True returns only deleted ads, False only non-deleted."},{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/Status"},"minItems":1},{"type":"null"}],"title":"Status","description":"Filter by ad status."},"description":"Filter by ad status."},{"name":"type","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/apiserver_fenix__api__sklik__campaigns__groups__ads__models__ad_type__AdType"},"minItems":1},{"type":"null"}],"title":"Type","description":"Filter by ad type.","default":["eta","smart","banner","combined","branding","dynamic_banner"]},"description":"Filter by ad type."},{"name":"a","in":"query","required":false,"schema":{"type":"array","uniqueItems":true,"items":{"anyOf":[{"$ref":"#/components/schemas/AdAttribute"},{"$ref":"#/components/schemas/EtaAdAttribute"},{"$ref":"#/components/schemas/SmartAdAttribute"},{"$ref":"#/components/schemas/SmartTextCreativeAttribute"},{"$ref":"#/components/schemas/SmartImageAttribute"},{"$ref":"#/components/schemas/BannerAdAttribute"},{"$ref":"#/components/schemas/BannerImageAttribute"},{"$ref":"#/components/schemas/BrandingAdAttribute"},{"$ref":"#/components/schemas/BrandingImageAttribute"},{"$ref":"#/components/schemas/CombinedAdAttribute"},{"$ref":"#/components/schemas/CombinedImageAttribute"},{"$ref":"#/components/schemas/CombinedImageSquareAttribute"},{"$ref":"#/components/schemas/CombinedImageLogoAttribute"},{"$ref":"#/components/schemas/CombinedImageLandscapeLogoAttribute"},{"$ref":"#/components/schemas/DynamicBannerTemplateAttribute"},{"$ref":"#/components/schemas/SchedulersAttribute"},{"$ref":"#/components/schemas/AdStatisticAttribute"},{"$ref":"#/components/schemas/AdVideoStatisticAttribute"},{"$ref":"#/components/schemas/AdContextStatisticAttribute"},{"$ref":"#/components/schemas/AdFulltextStatisticAttribute"}]},"minItems":1,"title":"Attributes","description":"Entity attributes to be included in the response."},"description":"Entity attributes to be included in the response."},{"name":"order","in":"query","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/apiserver_fenix__api__sklik__campaigns__groups__ads__models__order_attribute__OrderAttribute"},"description":"Ordering of the result.","title":"Order"},"description":"Ordering of the result."},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Pagination offset.","default":0,"title":"Offset"},"description":"Pagination offset."},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Pagination limit.","default":1000,"title":"Limit"},"description":"Pagination limit."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListResponse_Annotated_Union_EtaAdResponse__SmartAdResponse__BannerAdResponse__CombinedAdResponse__BrandingAdResponse__AdDynamicBannerResponse___FieldInfo_annotation_NoneType__required_True__discriminator__ad_type____"}}}},"422":{"description":"Diagnostic response for HTTP status 422.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"array","items":{"oneOf":[{"additionalProperties":false,"description":"Model validation error. Possible types are:\n\n- `missing`: This error is raised when a required value is missing.\n- `datetime_from_date_parsing`: This error is raised when the input value is a string that cannot be parsed for a `datetime` field.\n- `set_type`: This error is raised when the input value's type is not valid for a `set` field.\n- `date_from_datetime_parsing`: This error is raised when the input value is a string that cannot be parsed for a date field.\n- `date_past`: This error is raised when the value provided for a `PastDate` field is not in the past.\n- `complex_type`: This error is raised when the input value's type is not valid for a `complex` field.\n- `complex_str_parsing`: This error is raised when the input value is a string but cannot be parsed as a complex number.\n- `float_type`: This error is raised when the input value's type is not valid for a `float` field.\n- `iteration_error`: This error is raised when an error occurs while iterating over the input value.\n- `enum`: This error is raised when the input value is not a valid `enum` member.\n- `int_from_float`: This error is raised when you provide a `float` value for an `int` field.\n- `bytes_invalid_encoding`: This error is raised when a `bytes` value is invalid under the configured encoding.\n- `string_too_short`: This error is raised when the input value is a string whose length is less than the field's `min_length` constraint.\n- `uuid_parsing`: This error is raised when the input value's type is not valid for a UUID field.\n- `string_sub_type`: This error is raised when the value is an instance of a strict subtype of `str` when the field is strict.\n- `assertion_error`: This error is raised when a failing `assert` statement is encountered during validation.\n- `bytes_too_long`: This error is raised when a `bytes` value is longer than the configured maximum length.\n- `datetime_future`: This error is raised when the input value provided for a `FutureDatetime` field is not in the future.\n- `literal_error`: This error is raised when the input value is not one of the expected literals.\n- `datetime_past`: This error is raised when the value provided for a `PastDatetime` field is not in the past.\n- `date_parsing`: This error is raised when validating JSON where the input value is string that cannot be parsed for a date field.\n- `decimal_parsing`: This error is raised when the value provided for a `Decimal` could not be parsed as a decimal number.\n- `url_too_long`: This error is raised when the URL length is greater than 2083.\n- `timezone_aware`: This error is raised when the `datetime` value provided for a timezone-aware `datetime` field doesn't have timezone information.\n- `time_delta_type`: This error is raised when the input value's type is not valid for a `timedelta` field.\n- `url_parsing`: This error is raised when the input value is a string that cannot be parsed as a URL.\n- `frozen_instance`: This error is raised when trying to set a value of a field on a frozen instance or to delete such an field.\n- `tuple_type`: This error is raised when the input value's type is not valid for a `tuple` field.\n- `time_delta_parsing`: This error is raised when the input value is a string that cannot be parsed for a `timedelta` field.\n- `int_type`: This error is raised when the input value's type is not valid for an `int` field.\n- `date_type`: This error is raised when the input value's type is not valid for a `date` field.\n- `uuid_type`: This error is raised when the input value's type is not valid instance for a UUID field (str, bytes or UUID).\n- `decimal_type`: This error is raised when the input value's type is not valid for a `Decimal` field.\n- `float_parsing`: This error is raised when the input value is a string that cannot be parsed as a float.\n- `union_tag_invalid`: This error is raised when the input's discriminator is not one of the expected values.\n- `string_unicode`: This error is raised when the value cannot be parsed as a Unicode string.\n- `string_type`: This error is raised when the input value's type is not valid for a `str` field.\n- `uuid_version`: This error is raised when the input value's type is not match UUID version.\n- `time_parsing`: This error is raised when the input value is a string that cannot be parsed for a `time` field.\n- `date_from_datetime_inexact`: This error is raised when a `date` value is created from a `datetime` value that is not at midnight. For a timestamp to parse into a field of type `date`, the time components must all be zero.\n- `extra_forbidden`: This error is raised when the input value has extra fields that are not allowed.\n- `int_parsing`: This error is raised when the input value is a string that cannot be parsed as an integer.\n- `too_short`: This error is raised when the value is shorter than the field's `min_length` constraint.\n- `bytes_type`: This error is raised when the input value's type is not valid for a `bytes` field.\n- `timezone_naive`: This error is raised when the `datetime` value provided for a timezone-naive `datetime` field has timezone information.\n- `json_type`: This error is raised when the input value's type is not valid for a JSON field.\n- `frozen_field`: This error is raised when trying to set a value on a frozen field or to delete such a field.\n- `string_pattern_mismatch`: This error is raised when the input value doesn't match the field's `pattern` constraint.\n- `bool_parsing`: This error is raised when the input value is a string that is not valid for coercion to a boolean.\n- `union_tag_not_found`: This error is raised when it is not possible to extract a discriminator value from the input.\n- `greater_than`: This error is raised when the value is not greater than the field's `gt` constraint.\n- `finite_number`: This error is raised when the input value is not a finite number.\n- `multiple_of`: This error is raised when the value is not a multiple of the field's `multiple_of` constraint.\n- `less_than_equal`: This error is raised when the value is not less than or equal to the field's `le` constraint.\n- `decimal_max_places`: This error is raised when the value provided for a `Decimal` has too many digits after the decimal point.\n- `url_type`: This error is raised when the input value's type is not valid for a URL field.\n- `time_type`: This error is raised when the input value's type is not valid for a `time` field.\n- `url_syntax_violation`: This error is raised when the URL has a syntax violation.\n- `string_too_long`: This error is raised when the input value is a string whose length is greater than the field's `max_length` constraint.\n- `mapping_type`: This error is raised when the input value's type is not valid for a mapping field.\n- `url_scheme`: This error is raised when the URL scheme is not valid for the URL type of the field.\n- `none_required`: This error is raised when the input value is not `None` for a field that requires `None`.\n- `value_error`: This error is raised when the input value is not valid.\n- `too_long`: This error is raised when the value is longer than the field's `max_length` constraint.\n- `json_invalid`: This error is raised when the input value is not valid JSON.\n- `invalid_key`: This error is raised when attempting to validate a `dict` that has a key that is not an instance of `str`.\n- `bool_type`: This error is raised when the input value's type is not valid for a `bool` field.\n- `datetime_parsing`: This error is raised when the input value is a string that cannot be parsed for a `datetime` field.\n- `bytes_too_short`: This error is raised when a `bytes` value is shorter than the configured minimum length.\n- `decimal_whole_digits`: This error is raised when the value provided for a `Decimal` has more digits before the decimal point than `max_digits - decimal_places` (as long as both are specified).\n- `frozen_set_type`: This error is raised when the input value's type is not valid for a frozenset field.\n- `list_type`: This error is raised when the input value's type is not valid for a `list` field.\n- `dict_type`: This error is raised when the input value's type is not valid for a `dict` field.\n- `iterable_type`: This error is raised when the input value's type is not valid for an iterable field.\n- `date_future`: This error is raised when the input value provided for a `FutureDate` field is not in the future.\n- `datetime_type`: This error is raised when the input value's type is not valid for a `datetime` field.\n- `greater_than_equal`: This error is raised when the value is not greater than or equal to the field's `ge` constraint.\n- `decimal_max_digits`: This error is raised when a `Decimal` value has more digits than the configured maximum.\n- `int_parsing_size`: This error is raised when the input value is a string that cannot be parsed as an integer because it is too large.\n- `less_than`: This error is raised when the value is not less than the field's `lt` constraint.","properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Error location.","type":"array"},"msg":{"title":"Descriptive human readable error message","type":"string"},"type":{"enum":["missing","datetime_from_date_parsing","set_type","date_from_datetime_parsing","date_past","complex_type","complex_str_parsing","float_type","iteration_error","enum","int_from_float","bytes_invalid_encoding","string_too_short","uuid_parsing","string_sub_type","assertion_error","bytes_too_long","datetime_future","literal_error","datetime_past","date_parsing","decimal_parsing","url_too_long","timezone_aware","time_delta_type","url_parsing","frozen_instance","tuple_type","time_delta_parsing","int_type","date_type","uuid_type","decimal_type","float_parsing","union_tag_invalid","string_unicode","string_type","uuid_version","time_parsing","date_from_datetime_inexact","extra_forbidden","int_parsing","too_short","bytes_type","timezone_naive","json_type","frozen_field","string_pattern_mismatch","bool_parsing","union_tag_not_found","greater_than","finite_number","multiple_of","less_than_equal","decimal_max_places","url_type","time_type","url_syntax_violation","string_too_long","mapping_type","url_scheme","none_required","value_error","too_long","json_invalid","invalid_key","bool_type","datetime_parsing","bytes_too_short","decimal_whole_digits","frozen_set_type","list_type","dict_type","iterable_type","date_future","datetime_type","greater_than_equal","decimal_max_digits","int_parsing_size","less_than"],"title":"ErrorTypes","type":"string"},"ctx":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"An optional object which contains values required to render the error message.","title":"Ctx"},"input":{"description":"The input provided for validation.","title":"Input"}},"required":["msg","type","input"],"title":"ModelValidationError","type":"object"},{"additionalProperties":true,"description":"Requested period is incompatible with the chosen statistics granularity (would exceed 60 buckets).","properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Error location","type":"array"},"msg":{"default":"Requested statistics granularity is not supported for the requested period.","title":"Msg","type":"string"},"type":{"default":"invalid_statistic_granularity","title":"Type","type":"string"}},"title":"InvalidStatisticGranularity","type":"object"}]}}}}}}}}},"post":{"tags":["Sklik|Campaigns|Groups|Ads"],"summary":"Create ad","description":"Create a new ad inside the given campaign/group.\n\nSupports ETA, Smart, banner, combined, branding and dynamic banner ad types —\nselected via the `type` discriminator in the request body. With `dryRun=true`\nonly validates the request without creating the ad.","operationId":"create_ad_sklik_campaigns__campaignId__groups__groupId__ads__post","security":[{"API Access Token":["group","campaign","ad_add"]}],"parameters":[{"name":"campaignId","in":"path","required":true,"schema":{"type":"integer","minimum":1,"title":"Campaign ID","description":"ID of the campaign."},"description":"ID of the campaign."},{"name":"groupId","in":"path","required":true,"schema":{"type":"integer","minimum":1,"title":"Group ID","description":"ID of the group."},"description":"ID of the group."},{"name":"dryRun","in":"query","required":false,"schema":{"type":"boolean","title":"Dry Run","description":"When true, only validates the ad attributes without persisting any changes.","default":false},"description":"When true, only validates the ad attributes without persisting any changes."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/EtaAd"},{"$ref":"#/components/schemas/SmartAd"},{"$ref":"#/components/schemas/BannerAd"},{"$ref":"#/components/schemas/CombinedAd"},{"$ref":"#/components/schemas/BrandingAd"},{"$ref":"#/components/schemas/AdDynamicBanner"}],"discriminator":{"propertyName":"type","mapping":{"eta":"#/components/schemas/EtaAd","smart":"#/components/schemas/SmartAd","banner":"#/components/schemas/BannerAd","combined":"#/components/schemas/CombinedAd","branding":"#/components/schemas/BrandingAd","dynamic_banner":"#/components/schemas/AdDynamicBanner"}},"title":"Body"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListResponse_AdCreateItem_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/sklik/campaigns/{campaignId}/groups/{groupId}/ads/{adId}/":{"patch":{"tags":["Sklik|Campaigns|Groups|Ads"],"summary":"Update ad","description":"Update an existing ad inside the given campaign/group. With\n`dryRun=true` only validates the request without persisting any changes.\n\nSome creative fields are immutable: updating them deletes the current ad\nand creates a successor. In that case the response is `200` with the new\n`id`. In-place updates, dry-run, delete and restore still return `204`.","operationId":"update_ad_sklik_campaigns__campaignId__groups__groupId__ads__adId___patch","security":[{"API Access Token":["group","campaign","ad_edit"]}],"parameters":[{"name":"campaignId","in":"path","required":true,"schema":{"type":"integer","minimum":1,"title":"Campaign ID","description":"ID of the parent campaign."},"description":"ID of the parent campaign."},{"name":"groupId","in":"path","required":true,"schema":{"type":"integer","minimum":1,"title":"Group ID","description":"ID of the parent group."},"description":"ID of the parent group."},{"name":"adId","in":"path","required":true,"schema":{"type":"integer","minimum":1,"title":"Ad ID","description":"ID of the ad."},"description":"ID of the ad."},{"name":"dryRun","in":"query","required":false,"schema":{"type":"boolean","title":"Dry Run","description":"When true, only validates the ad attributes without persisting any changes.","default":false},"description":"When true, only validates the ad attributes without persisting any changes."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/apiserver_fenix__api__sklik__campaigns__groups__ads__models__update_request__deletion_update_request__DeletionUpdate"},{"$ref":"#/components/schemas/UpdateEtaAd"},{"$ref":"#/components/schemas/UpdateSmartAd"},{"$ref":"#/components/schemas/UpdateBannerAd"},{"$ref":"#/components/schemas/UpdateCombinedAd"},{"$ref":"#/components/schemas/UpdateBrandingAd"},{"$ref":"#/components/schemas/UpdateAdDynamicBanner"}],"title":"Body"}}}},"responses":{"204":{"description":"Successful Response"},"200":{"description":"The update replaced the ad with a new version. The body contains the new ad id; the id in the path is no longer the live ad.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdUpdateItem"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/sklik/campaigns/{campaignId}/groups/{groupId}/negative-keywords/delete":{"post":{"tags":["Sklik|Campaigns|Groups|Negative keywords"],"summary":"Delete group negative keywords","description":"Permanently delete specific negative keywords from the given group.","operationId":"delete_group_negative_keywords_sklik_campaigns__campaignId__groups__groupId__negative_keywords_delete_post","security":[{"API Access Token":["group","campaign","keyword_edit"]}],"parameters":[{"name":"groupId","in":"path","required":true,"schema":{"type":"integer","minimum":1,"title":"Group ID","description":"ID of the group."},"description":"ID of the group."},{"name":"campaignId","in":"path","required":true,"schema":{"type":"integer","minimum":1,"title":"Campaign ID","description":"ID of the campaign."},"description":"ID of the campaign."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteNegativeKeywords"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Diagnostic response for HTTP status 422.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"array","items":{"oneOf":[{"additionalProperties":false,"description":"Model validation error. Possible types are:\n\n- `missing`: This error is raised when a required value is missing.\n- `datetime_from_date_parsing`: This error is raised when the input value is a string that cannot be parsed for a `datetime` field.\n- `set_type`: This error is raised when the input value's type is not valid for a `set` field.\n- `date_from_datetime_parsing`: This error is raised when the input value is a string that cannot be parsed for a date field.\n- `date_past`: This error is raised when the value provided for a `PastDate` field is not in the past.\n- `complex_type`: This error is raised when the input value's type is not valid for a `complex` field.\n- `complex_str_parsing`: This error is raised when the input value is a string but cannot be parsed as a complex number.\n- `float_type`: This error is raised when the input value's type is not valid for a `float` field.\n- `iteration_error`: This error is raised when an error occurs while iterating over the input value.\n- `enum`: This error is raised when the input value is not a valid `enum` member.\n- `int_from_float`: This error is raised when you provide a `float` value for an `int` field.\n- `bytes_invalid_encoding`: This error is raised when a `bytes` value is invalid under the configured encoding.\n- `string_too_short`: This error is raised when the input value is a string whose length is less than the field's `min_length` constraint.\n- `uuid_parsing`: This error is raised when the input value's type is not valid for a UUID field.\n- `string_sub_type`: This error is raised when the value is an instance of a strict subtype of `str` when the field is strict.\n- `assertion_error`: This error is raised when a failing `assert` statement is encountered during validation.\n- `bytes_too_long`: This error is raised when a `bytes` value is longer than the configured maximum length.\n- `datetime_future`: This error is raised when the input value provided for a `FutureDatetime` field is not in the future.\n- `literal_error`: This error is raised when the input value is not one of the expected literals.\n- `datetime_past`: This error is raised when the value provided for a `PastDatetime` field is not in the past.\n- `date_parsing`: This error is raised when validating JSON where the input value is string that cannot be parsed for a date field.\n- `decimal_parsing`: This error is raised when the value provided for a `Decimal` could not be parsed as a decimal number.\n- `url_too_long`: This error is raised when the URL length is greater than 2083.\n- `timezone_aware`: This error is raised when the `datetime` value provided for a timezone-aware `datetime` field doesn't have timezone information.\n- `time_delta_type`: This error is raised when the input value's type is not valid for a `timedelta` field.\n- `url_parsing`: This error is raised when the input value is a string that cannot be parsed as a URL.\n- `frozen_instance`: This error is raised when trying to set a value of a field on a frozen instance or to delete such an field.\n- `tuple_type`: This error is raised when the input value's type is not valid for a `tuple` field.\n- `time_delta_parsing`: This error is raised when the input value is a string that cannot be parsed for a `timedelta` field.\n- `int_type`: This error is raised when the input value's type is not valid for an `int` field.\n- `date_type`: This error is raised when the input value's type is not valid for a `date` field.\n- `uuid_type`: This error is raised when the input value's type is not valid instance for a UUID field (str, bytes or UUID).\n- `decimal_type`: This error is raised when the input value's type is not valid for a `Decimal` field.\n- `float_parsing`: This error is raised when the input value is a string that cannot be parsed as a float.\n- `union_tag_invalid`: This error is raised when the input's discriminator is not one of the expected values.\n- `string_unicode`: This error is raised when the value cannot be parsed as a Unicode string.\n- `string_type`: This error is raised when the input value's type is not valid for a `str` field.\n- `uuid_version`: This error is raised when the input value's type is not match UUID version.\n- `time_parsing`: This error is raised when the input value is a string that cannot be parsed for a `time` field.\n- `date_from_datetime_inexact`: This error is raised when a `date` value is created from a `datetime` value that is not at midnight. For a timestamp to parse into a field of type `date`, the time components must all be zero.\n- `extra_forbidden`: This error is raised when the input value has extra fields that are not allowed.\n- `int_parsing`: This error is raised when the input value is a string that cannot be parsed as an integer.\n- `too_short`: This error is raised when the value is shorter than the field's `min_length` constraint.\n- `bytes_type`: This error is raised when the input value's type is not valid for a `bytes` field.\n- `timezone_naive`: This error is raised when the `datetime` value provided for a timezone-naive `datetime` field has timezone information.\n- `json_type`: This error is raised when the input value's type is not valid for a JSON field.\n- `frozen_field`: This error is raised when trying to set a value on a frozen field or to delete such a field.\n- `string_pattern_mismatch`: This error is raised when the input value doesn't match the field's `pattern` constraint.\n- `bool_parsing`: This error is raised when the input value is a string that is not valid for coercion to a boolean.\n- `union_tag_not_found`: This error is raised when it is not possible to extract a discriminator value from the input.\n- `greater_than`: This error is raised when the value is not greater than the field's `gt` constraint.\n- `finite_number`: This error is raised when the input value is not a finite number.\n- `multiple_of`: This error is raised when the value is not a multiple of the field's `multiple_of` constraint.\n- `less_than_equal`: This error is raised when the value is not less than or equal to the field's `le` constraint.\n- `decimal_max_places`: This error is raised when the value provided for a `Decimal` has too many digits after the decimal point.\n- `url_type`: This error is raised when the input value's type is not valid for a URL field.\n- `time_type`: This error is raised when the input value's type is not valid for a `time` field.\n- `url_syntax_violation`: This error is raised when the URL has a syntax violation.\n- `string_too_long`: This error is raised when the input value is a string whose length is greater than the field's `max_length` constraint.\n- `mapping_type`: This error is raised when the input value's type is not valid for a mapping field.\n- `url_scheme`: This error is raised when the URL scheme is not valid for the URL type of the field.\n- `none_required`: This error is raised when the input value is not `None` for a field that requires `None`.\n- `value_error`: This error is raised when the input value is not valid.\n- `too_long`: This error is raised when the value is longer than the field's `max_length` constraint.\n- `json_invalid`: This error is raised when the input value is not valid JSON.\n- `invalid_key`: This error is raised when attempting to validate a `dict` that has a key that is not an instance of `str`.\n- `bool_type`: This error is raised when the input value's type is not valid for a `bool` field.\n- `datetime_parsing`: This error is raised when the input value is a string that cannot be parsed for a `datetime` field.\n- `bytes_too_short`: This error is raised when a `bytes` value is shorter than the configured minimum length.\n- `decimal_whole_digits`: This error is raised when the value provided for a `Decimal` has more digits before the decimal point than `max_digits - decimal_places` (as long as both are specified).\n- `frozen_set_type`: This error is raised when the input value's type is not valid for a frozenset field.\n- `list_type`: This error is raised when the input value's type is not valid for a `list` field.\n- `dict_type`: This error is raised when the input value's type is not valid for a `dict` field.\n- `iterable_type`: This error is raised when the input value's type is not valid for an iterable field.\n- `date_future`: This error is raised when the input value provided for a `FutureDate` field is not in the future.\n- `datetime_type`: This error is raised when the input value's type is not valid for a `datetime` field.\n- `greater_than_equal`: This error is raised when the value is not greater than or equal to the field's `ge` constraint.\n- `decimal_max_digits`: This error is raised when a `Decimal` value has more digits than the configured maximum.\n- `int_parsing_size`: This error is raised when the input value is a string that cannot be parsed as an integer because it is too large.\n- `less_than`: This error is raised when the value is not less than the field's `lt` constraint.","properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Error location.","type":"array"},"msg":{"title":"Descriptive human readable error message","type":"string"},"type":{"enum":["missing","datetime_from_date_parsing","set_type","date_from_datetime_parsing","date_past","complex_type","complex_str_parsing","float_type","iteration_error","enum","int_from_float","bytes_invalid_encoding","string_too_short","uuid_parsing","string_sub_type","assertion_error","bytes_too_long","datetime_future","literal_error","datetime_past","date_parsing","decimal_parsing","url_too_long","timezone_aware","time_delta_type","url_parsing","frozen_instance","tuple_type","time_delta_parsing","int_type","date_type","uuid_type","decimal_type","float_parsing","union_tag_invalid","string_unicode","string_type","uuid_version","time_parsing","date_from_datetime_inexact","extra_forbidden","int_parsing","too_short","bytes_type","timezone_naive","json_type","frozen_field","string_pattern_mismatch","bool_parsing","union_tag_not_found","greater_than","finite_number","multiple_of","less_than_equal","decimal_max_places","url_type","time_type","url_syntax_violation","string_too_long","mapping_type","url_scheme","none_required","value_error","too_long","json_invalid","invalid_key","bool_type","datetime_parsing","bytes_too_short","decimal_whole_digits","frozen_set_type","list_type","dict_type","iterable_type","date_future","datetime_type","greater_than_equal","decimal_max_digits","int_parsing_size","less_than"],"title":"ErrorTypes","type":"string"},"ctx":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"An optional object which contains values required to render the error message.","title":"Ctx"},"input":{"description":"The input provided for validation.","title":"Input"}},"required":["msg","type","input"],"title":"ModelValidationError","type":"object"},{"additionalProperties":true,"description":"Error returned when a negative keyword name is rejected by validation.","properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Error location","type":"array"},"msg":{"default":"Negative keyword name is invalid.","title":"Msg","type":"string"},"type":{"default":"invalid_negative_keyword_name","title":"Type","type":"string"},"name":{"description":"The rejected negative keyword name.","title":"Name","type":"string"}},"required":["name"],"title":"InvalidNegativeKeywordName","type":"object"}]}}}}}}},"404":{"description":"Diagnostic response for HTTP status 404.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"array","items":{"oneOf":[{"additionalProperties":true,"description":"Error returned when entity not found","properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Error location","type":"array"},"msg":{"default":"Entity not found","title":"Msg","type":"string"},"type":{"default":"entity_not_found","title":"Type","type":"string"},"entity_type":{"description":"Type of the entity that was not found, e.g. 'product', 'shop', 'campaign', etc.","title":"Entity Type","type":"string"}},"required":["entity_type"],"title":"EntityNotFound","type":"object"}]}}}}}}}}}},"/sklik/campaigns/{campaignId}/groups/{groupId}/negative-keywords/":{"get":{"tags":["Sklik|Campaigns|Groups|Negative keywords"],"summary":"List group negative keywords","description":"List negative keywords of given group.","operationId":"list_group_negative_keywords_sklik_campaigns__campaignId__groups__groupId__negative_keywords__get","security":[{"API Access Token":["group","campaign","keyword"]}],"parameters":[{"name":"groupId","in":"path","required":true,"schema":{"type":"integer","minimum":1,"title":"Group ID","description":"ID of the group."},"description":"ID of the group."},{"name":"campaignId","in":"path","required":true,"schema":{"type":"integer","minimum":1,"title":"Campaign ID","description":"ID of the campaign."},"description":"ID of the campaign."},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Pagination offset.","default":0,"title":"Offset"},"description":"Pagination offset."},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Pagination limit.","default":1000,"title":"Limit"},"description":"Pagination limit."},{"name":"a","in":"query","required":true,"schema":{"type":"array","uniqueItems":true,"items":{"$ref":"#/components/schemas/NegativeKeywordAttribute"},"minItems":1,"title":"Attributes","description":"Entity attributes to be included in the response."},"description":"Entity attributes to be included in the response."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListResponse_ResponseNegativeKeyword_"}}}},"422":{"description":"Diagnostic response for HTTP status 422.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"array","items":{"oneOf":[{"additionalProperties":false,"description":"Model validation error. Possible types are:\n\n- `missing`: This error is raised when a required value is missing.\n- `datetime_from_date_parsing`: This error is raised when the input value is a string that cannot be parsed for a `datetime` field.\n- `set_type`: This error is raised when the input value's type is not valid for a `set` field.\n- `date_from_datetime_parsing`: This error is raised when the input value is a string that cannot be parsed for a date field.\n- `date_past`: This error is raised when the value provided for a `PastDate` field is not in the past.\n- `complex_type`: This error is raised when the input value's type is not valid for a `complex` field.\n- `complex_str_parsing`: This error is raised when the input value is a string but cannot be parsed as a complex number.\n- `float_type`: This error is raised when the input value's type is not valid for a `float` field.\n- `iteration_error`: This error is raised when an error occurs while iterating over the input value.\n- `enum`: This error is raised when the input value is not a valid `enum` member.\n- `int_from_float`: This error is raised when you provide a `float` value for an `int` field.\n- `bytes_invalid_encoding`: This error is raised when a `bytes` value is invalid under the configured encoding.\n- `string_too_short`: This error is raised when the input value is a string whose length is less than the field's `min_length` constraint.\n- `uuid_parsing`: This error is raised when the input value's type is not valid for a UUID field.\n- `string_sub_type`: This error is raised when the value is an instance of a strict subtype of `str` when the field is strict.\n- `assertion_error`: This error is raised when a failing `assert` statement is encountered during validation.\n- `bytes_too_long`: This error is raised when a `bytes` value is longer than the configured maximum length.\n- `datetime_future`: This error is raised when the input value provided for a `FutureDatetime` field is not in the future.\n- `literal_error`: This error is raised when the input value is not one of the expected literals.\n- `datetime_past`: This error is raised when the value provided for a `PastDatetime` field is not in the past.\n- `date_parsing`: This error is raised when validating JSON where the input value is string that cannot be parsed for a date field.\n- `decimal_parsing`: This error is raised when the value provided for a `Decimal` could not be parsed as a decimal number.\n- `url_too_long`: This error is raised when the URL length is greater than 2083.\n- `timezone_aware`: This error is raised when the `datetime` value provided for a timezone-aware `datetime` field doesn't have timezone information.\n- `time_delta_type`: This error is raised when the input value's type is not valid for a `timedelta` field.\n- `url_parsing`: This error is raised when the input value is a string that cannot be parsed as a URL.\n- `frozen_instance`: This error is raised when trying to set a value of a field on a frozen instance or to delete such an field.\n- `tuple_type`: This error is raised when the input value's type is not valid for a `tuple` field.\n- `time_delta_parsing`: This error is raised when the input value is a string that cannot be parsed for a `timedelta` field.\n- `int_type`: This error is raised when the input value's type is not valid for an `int` field.\n- `date_type`: This error is raised when the input value's type is not valid for a `date` field.\n- `uuid_type`: This error is raised when the input value's type is not valid instance for a UUID field (str, bytes or UUID).\n- `decimal_type`: This error is raised when the input value's type is not valid for a `Decimal` field.\n- `float_parsing`: This error is raised when the input value is a string that cannot be parsed as a float.\n- `union_tag_invalid`: This error is raised when the input's discriminator is not one of the expected values.\n- `string_unicode`: This error is raised when the value cannot be parsed as a Unicode string.\n- `string_type`: This error is raised when the input value's type is not valid for a `str` field.\n- `uuid_version`: This error is raised when the input value's type is not match UUID version.\n- `time_parsing`: This error is raised when the input value is a string that cannot be parsed for a `time` field.\n- `date_from_datetime_inexact`: This error is raised when a `date` value is created from a `datetime` value that is not at midnight. For a timestamp to parse into a field of type `date`, the time components must all be zero.\n- `extra_forbidden`: This error is raised when the input value has extra fields that are not allowed.\n- `int_parsing`: This error is raised when the input value is a string that cannot be parsed as an integer.\n- `too_short`: This error is raised when the value is shorter than the field's `min_length` constraint.\n- `bytes_type`: This error is raised when the input value's type is not valid for a `bytes` field.\n- `timezone_naive`: This error is raised when the `datetime` value provided for a timezone-naive `datetime` field has timezone information.\n- `json_type`: This error is raised when the input value's type is not valid for a JSON field.\n- `frozen_field`: This error is raised when trying to set a value on a frozen field or to delete such a field.\n- `string_pattern_mismatch`: This error is raised when the input value doesn't match the field's `pattern` constraint.\n- `bool_parsing`: This error is raised when the input value is a string that is not valid for coercion to a boolean.\n- `union_tag_not_found`: This error is raised when it is not possible to extract a discriminator value from the input.\n- `greater_than`: This error is raised when the value is not greater than the field's `gt` constraint.\n- `finite_number`: This error is raised when the input value is not a finite number.\n- `multiple_of`: This error is raised when the value is not a multiple of the field's `multiple_of` constraint.\n- `less_than_equal`: This error is raised when the value is not less than or equal to the field's `le` constraint.\n- `decimal_max_places`: This error is raised when the value provided for a `Decimal` has too many digits after the decimal point.\n- `url_type`: This error is raised when the input value's type is not valid for a URL field.\n- `time_type`: This error is raised when the input value's type is not valid for a `time` field.\n- `url_syntax_violation`: This error is raised when the URL has a syntax violation.\n- `string_too_long`: This error is raised when the input value is a string whose length is greater than the field's `max_length` constraint.\n- `mapping_type`: This error is raised when the input value's type is not valid for a mapping field.\n- `url_scheme`: This error is raised when the URL scheme is not valid for the URL type of the field.\n- `none_required`: This error is raised when the input value is not `None` for a field that requires `None`.\n- `value_error`: This error is raised when the input value is not valid.\n- `too_long`: This error is raised when the value is longer than the field's `max_length` constraint.\n- `json_invalid`: This error is raised when the input value is not valid JSON.\n- `invalid_key`: This error is raised when attempting to validate a `dict` that has a key that is not an instance of `str`.\n- `bool_type`: This error is raised when the input value's type is not valid for a `bool` field.\n- `datetime_parsing`: This error is raised when the input value is a string that cannot be parsed for a `datetime` field.\n- `bytes_too_short`: This error is raised when a `bytes` value is shorter than the configured minimum length.\n- `decimal_whole_digits`: This error is raised when the value provided for a `Decimal` has more digits before the decimal point than `max_digits - decimal_places` (as long as both are specified).\n- `frozen_set_type`: This error is raised when the input value's type is not valid for a frozenset field.\n- `list_type`: This error is raised when the input value's type is not valid for a `list` field.\n- `dict_type`: This error is raised when the input value's type is not valid for a `dict` field.\n- `iterable_type`: This error is raised when the input value's type is not valid for an iterable field.\n- `date_future`: This error is raised when the input value provided for a `FutureDate` field is not in the future.\n- `datetime_type`: This error is raised when the input value's type is not valid for a `datetime` field.\n- `greater_than_equal`: This error is raised when the value is not greater than or equal to the field's `ge` constraint.\n- `decimal_max_digits`: This error is raised when a `Decimal` value has more digits than the configured maximum.\n- `int_parsing_size`: This error is raised when the input value is a string that cannot be parsed as an integer because it is too large.\n- `less_than`: This error is raised when the value is not less than the field's `lt` constraint.","properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Error location.","type":"array"},"msg":{"title":"Descriptive human readable error message","type":"string"},"type":{"enum":["missing","datetime_from_date_parsing","set_type","date_from_datetime_parsing","date_past","complex_type","complex_str_parsing","float_type","iteration_error","enum","int_from_float","bytes_invalid_encoding","string_too_short","uuid_parsing","string_sub_type","assertion_error","bytes_too_long","datetime_future","literal_error","datetime_past","date_parsing","decimal_parsing","url_too_long","timezone_aware","time_delta_type","url_parsing","frozen_instance","tuple_type","time_delta_parsing","int_type","date_type","uuid_type","decimal_type","float_parsing","union_tag_invalid","string_unicode","string_type","uuid_version","time_parsing","date_from_datetime_inexact","extra_forbidden","int_parsing","too_short","bytes_type","timezone_naive","json_type","frozen_field","string_pattern_mismatch","bool_parsing","union_tag_not_found","greater_than","finite_number","multiple_of","less_than_equal","decimal_max_places","url_type","time_type","url_syntax_violation","string_too_long","mapping_type","url_scheme","none_required","value_error","too_long","json_invalid","invalid_key","bool_type","datetime_parsing","bytes_too_short","decimal_whole_digits","frozen_set_type","list_type","dict_type","iterable_type","date_future","datetime_type","greater_than_equal","decimal_max_digits","int_parsing_size","less_than"],"title":"ErrorTypes","type":"string"},"ctx":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"An optional object which contains values required to render the error message.","title":"Ctx"},"input":{"description":"The input provided for validation.","title":"Input"}},"required":["msg","type","input"],"title":"ModelValidationError","type":"object"}]}}}}}}},"404":{"description":"Diagnostic response for HTTP status 404.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"array","items":{"oneOf":[{"additionalProperties":true,"description":"Error returned when entity not found","properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Error location","type":"array"},"msg":{"default":"Entity not found","title":"Msg","type":"string"},"type":{"default":"entity_not_found","title":"Type","type":"string"},"entity_type":{"description":"Type of the entity that was not found, e.g. 'product', 'shop', 'campaign', etc.","title":"Entity Type","type":"string"}},"required":["entity_type"],"title":"EntityNotFound","type":"object"}]}}}}}}}}},"post":{"tags":["Sklik|Campaigns|Groups|Negative keywords"],"summary":"Add group negative keywords","description":"Add negative keywords to the given group.","operationId":"add_group_negative_keywords_sklik_campaigns__campaignId__groups__groupId__negative_keywords__post","security":[{"API Access Token":["group","campaign","keyword_edit"]}],"parameters":[{"name":"groupId","in":"path","required":true,"schema":{"type":"integer","minimum":1,"title":"Group ID","description":"ID of the group."},"description":"ID of the group."},{"name":"campaignId","in":"path","required":true,"schema":{"type":"integer","minimum":1,"title":"Campaign ID","description":"ID of the campaign."},"description":"ID of the campaign."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddNegativeKeywords"}}}},"responses":{"201":{"description":"Successful Response"},"422":{"description":"Diagnostic response for HTTP status 422.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"array","items":{"oneOf":[{"additionalProperties":false,"description":"Model validation error. Possible types are:\n\n- `missing`: This error is raised when a required value is missing.\n- `datetime_from_date_parsing`: This error is raised when the input value is a string that cannot be parsed for a `datetime` field.\n- `set_type`: This error is raised when the input value's type is not valid for a `set` field.\n- `date_from_datetime_parsing`: This error is raised when the input value is a string that cannot be parsed for a date field.\n- `date_past`: This error is raised when the value provided for a `PastDate` field is not in the past.\n- `complex_type`: This error is raised when the input value's type is not valid for a `complex` field.\n- `complex_str_parsing`: This error is raised when the input value is a string but cannot be parsed as a complex number.\n- `float_type`: This error is raised when the input value's type is not valid for a `float` field.\n- `iteration_error`: This error is raised when an error occurs while iterating over the input value.\n- `enum`: This error is raised when the input value is not a valid `enum` member.\n- `int_from_float`: This error is raised when you provide a `float` value for an `int` field.\n- `bytes_invalid_encoding`: This error is raised when a `bytes` value is invalid under the configured encoding.\n- `string_too_short`: This error is raised when the input value is a string whose length is less than the field's `min_length` constraint.\n- `uuid_parsing`: This error is raised when the input value's type is not valid for a UUID field.\n- `string_sub_type`: This error is raised when the value is an instance of a strict subtype of `str` when the field is strict.\n- `assertion_error`: This error is raised when a failing `assert` statement is encountered during validation.\n- `bytes_too_long`: This error is raised when a `bytes` value is longer than the configured maximum length.\n- `datetime_future`: This error is raised when the input value provided for a `FutureDatetime` field is not in the future.\n- `literal_error`: This error is raised when the input value is not one of the expected literals.\n- `datetime_past`: This error is raised when the value provided for a `PastDatetime` field is not in the past.\n- `date_parsing`: This error is raised when validating JSON where the input value is string that cannot be parsed for a date field.\n- `decimal_parsing`: This error is raised when the value provided for a `Decimal` could not be parsed as a decimal number.\n- `url_too_long`: This error is raised when the URL length is greater than 2083.\n- `timezone_aware`: This error is raised when the `datetime` value provided for a timezone-aware `datetime` field doesn't have timezone information.\n- `time_delta_type`: This error is raised when the input value's type is not valid for a `timedelta` field.\n- `url_parsing`: This erro
[...]
